Subject: bug#16902: 24.3.50; why vc-revert keeps its diff-buffer around?

From: Leo Liu <[email-masked]>
Date: Fri, 28 Feb 2014 20:15:12 +0800

On 2014-02-28 15:17 +0800, Glenn Morris wrote:
> Well I assume the people who added the feature whereby a new diff buffer
> is created each time would object, because they want to keep the diff
> buffer around. Eg in case they change their minds after reverting.
> See eg http://debbugs.gnu.org/8927 .

I have read the whole thread and it seems keeping the revert diff buffer
was unintended change. The complaint was not to override contents in the
old *vc-diff*.

I think it is better to kill that revert diff buffer.

> Maybe (setq vc-revert-show-diff nil) will work for you?

Leo